{% extends 'base_fullwidth_leaflet.html' %}
{% load leaflet_tags %}
{% leaflet_js %}
{% leaflet_css %}
{% load geojson_tags %}
{% load i18n staticfiles crispy_forms_tags django_tables2 %}
{% block content %}
<style>
    .leaflet-container-default {
        min-height: 800px;
    }

    #searchMap {
        height: 800px;
        min-height: 800px;
    }

</style>

<h1>{% if createplacebtn %}<a href="{% url 'sights:place_create' %}" class="btn btn-primary pull-right"><i
        class="fa fa-fw fa-map-marker-alt"></i>{% trans 'Créer une observation' %}</a>{% endif %}<i
        class="{{ icon | safe }}"></i> {{ title | safe }}</h1>

<div class="col-sm-12 col-md-6 col-lg-7">
    <div class="panel panel-default">
        <div class="panel-body">
            <form id="searchForm" class="form-inline text-center">
                <div class="form-row">
                    <div class="form-group form-group-sm mr-2">
                        <label for="territory" class="control-label">Département</label>
                        <select class="form-control form-control-sm" name="territory" id="territory">
                            <option value="">-</option>
                            {% for t in enable_territory %}
                            <option value="{{t.id}}">{{ t.name }} ({{ t.code }})</option>
                            {% endfor %}
                        </select>
                    </div>
                    <div class="form-group form-group-sm  mr-2">
                        <label for="municipality">Commune</label>
                        <input class="form-control form-control-sm" type="text" id="municipality"
                               name="municipality" placeholder="Commune">
                    </div>
                    <div class="form-group form-group-sm  mr-2">
                        <label for="type">Nom</label>
                        <input class="form-control form-control-sm" type="text" id="name" name="name"
                               placeholder="Nom">
                    </div>
                    <div class="form-group form-group-sm  mr-2">
                        <label for="metaplace">Métasite</label>
                        <input class="form-control form-control-sm" type="text" id="metaplace" name="metaplace"
                               placeholder="Métasite">
                    </div>
<!--                    <div class="form-group form-group-sm mr-2 ui-widget">-->
<!--                        <label for="study">Etude</label>-->
<!--                        <input class="form-control form-control-sm" type="text" id="study" name="study"-->
<!--                               placeholder="Etude">-->
<!--                    </div>-->
                </div>
                <div class="form-row">
                    <div class="form-group form-group-sm  mr-2">
                        <input id="gite" name="gite" type="checkbox" class="form-check-input">
                        <label class="form-check-label" for="gite">Gite</label>
                    </div>
                    <div class="form-group form-group-sm  mr-2">
                        <input id="breed_colo" name="breed_colo" type="checkbox" class="form-check-input">
                        <label class="form-check-label" for="breed_colo">Colonie de reproduction</label>
                    </div>
                    <div class="form-group form-group-sm  mr-2">
                        <label for="place_type">Type de localité</label>
                        <input class="form-control form-control-sm" type="text" id="place_type" name="place_type"
                               placeholder="Type de localité">
                    </div>

                </div>
                <div class="form-row">
                                    <div class="form-group form-group-sm  mr-2">
                        <label for="specie">Espèce</label>
                        <input class="form-control form-control-sm" type="text" id="specie" name="specie"
                            placeholder="Espèce">
                    </div>
                    <div class="form-group form-group-sm  mr-2">
                        <label for="sex">Sexe</label>
                        <input class="form-control form-control-sm" type="text" id="sex" name="sex"
                               placeholder="Sexe">
                    </div>
                    <div class="form-group form-group-sm  mr-2">
                        <label for="sexual_status">Etat sexuel</label>
                        <input class="form-control form-control-sm" type="text" id="sexual_status"
                               name="sexual_status"
                               placeholder="Etat sexuel">
                    </div>
                    <div class="form-group form-group-sm  mr-2">
                        <label for="age">Age</label>
                        <input class="form-control form-control-sm" type="text" id="age" name="age"
                               placeholder="Age">
                    </div>
                                        <div class="form-group form-group-sm  mr-2">
                        <label for="count_min">Effectif mini</label>
                        <input class="form-control form-control-sm" type="number" id="count_min" name="count_min"
                            placeholder="Effectif mini">
                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group form-group-sm  mr-2">
                        <label for="date_min">Date mini</label>
                        <input class="form-control form-control-sm" type="date" id="date_min"
                               name="date_min"
                               placeholder="Date minimale">
                    </div>
                    <div class="form-group form-group-sm  mr-2">
                        <label for="date_max">Date maxi</label>
                        <input class="form-control form-control-sm" type="date" id="date_max"
                               name="date_max"
                               placeholder="Date maximale">
                    </div>
                    <div class="form-group form-group-sm  mr-2">
                        <label for="period">Période</label>
                        <input class="form-control form-control-sm" type="select" id="period"
                               name="period"
                               placeholder="Période">
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group form-group-sm  mr-2">
                        <label for="contact_type">Type de contact</label>
                        <input class="form-control form-control-sm" type="text" id="contact_type"
                               name="contact_type"
                               placeholder="Type de contact">
                    </div>
                    <div class="form-group form-group-sm  mr-2">
                        <label for="alt_min">Altitude mini</label>
                        <input class="form-control form-control-sm" type="number" id="alt_min"
                               name="alt_min"
                               placeholder="Altitude mini">
                    </div>
                    <div class="form-group form-group-sm  mr-2">
                        <label for="alt_max">Altitude maxi</label>
                        <input class="form-control form-control-sm" type="number" id="alt_max"
                               name="alt_max"
                               placeholder="Altitude maxi">
                    </div>
                    <div class="form-group form-group-sm  mr-2">
                        <label for="page_size">Nombre de donnnées à afficher</label>
                        <input class="form-control form-control-sm" type="number" id="page_size"
                               name="page_size" min="1000" max="5000" step="1000"
                               placeholder="Nombre de données">
                    </div>
                </div>
            </form>
            <span id="results"></span>
        </div>
    </div>
    {% if count %}
    <div class="panel panel-default">
        <div class="panel-body">
            {% if export %}
            <div class="btn-group btn-group-xs pull-right">
                <button type="button" class="btn btn-primary btn-xs dropdown-toggle" data-toggle="dropdown"
                        aria-haspopup="true"
                        aria-expanded="false">
                    {% trans 'Exporter' %} <span class="caret"></span>
                </button>
                <ul class="dropdown-menu">
                    <li><a href="{% querystring '_export'='csv' %}"> download as csv</a></li>
                    <li><a href="{% querystring '_export'='ods' %}"> download as ods</a></li>
                    <li><a href="{% querystring '_export'='xls' %}"> download as xlsx</a></li>
                    <li><a href="{% querystring '_export'='xlsx' %}"> download as xls</a></li>
                </ul>
            </div>
            {% endif %}
            {{ counttitle }} : <b>{{ count }}</b>
        </div>
    </div>
    {% endif %}

    <div class="panel panel-default table-responsive">
        {# {% render_table table %}#}
        <table id="sight_results" class="table table-striped table-condensed" cellspacing="0" width="100%">
            <thead>
            <tr>
                <th>+</th>
                <th>Actions</th>
                <th>Espèce</th>
                <th>Effectif</th>
                <th>Colonie de reproduction</th>
                <th>Localité</th>
                <th>Commune</th>
                <th>Date</th>
                <th>Session</th>
                <th>Contact</th>
                <th>Création</th>
            </tr>
            </thead>
        </table>
    </div>

    <script>
        var dataUrl = "{% url 'sights:sighting_search_api' %}";

        $(document).ready(function () {
            sightingSearchBlock();
        });
    </script>
</div>
<script type="text/javascript">
    {{ js | safe }}
</script>
{% if filter %}
<link rel="stylesheet" href="{% static 'css/select2-bootstrap.min.css' %}">
<script type="text/javascript">
  {{ js | safe }}
    $.fn.select2.defaults.set("theme", "bootstrap");
</script>
{% endif %}

<div class="col-sm-12 col-md-6 col-lg-5">
    {% leaflet_map "main" %}
</div>
<script type="text/javascript">


</script>
{% endblock %}
